Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2306 closed defect (fixed)

powerpc/mvme5500/vectors/exceptionhandler.c uses task variables

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I am addressing almost all uses of deprecated methods. They are mostly calls to rtems_clock_get() which can be easily corrected or test code which will be removed when the deprecated feature is removed.

This BSP however has what appears to be a unique feature -- the ability for a thread to add a unique exception fault handler. My inclination is to rip this out but I am not doing it now. I am just turning off deprecated warnings for the file.

Change History (6)

comment:1 Changed on 12/15/15 at 10:51:25 by Sebastian Huber

I suggest to remove the functionality of task specific exception handlers. In a multi-threaded environment exceptions affect the overall program, e.g. memory corruption.

comment:2 Changed on 12/29/15 at 17:30:08 by Joel Sherrill

This code is disabled. It can't use notepads because they are obsoleted in 4.11 and removed after.

comment:3 Changed on 05/04/16 at 05:27:15 by Sebastian Huber

Milestone: 4.11.14.12
Resolution: fixed
Status: newclosed

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 10/16/17 at 06:25:10 by Sebastian Huber

Component: unspecifiedarch/powerpc

comment:6 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.